summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Bruhin <git@the-compiler.org>2012-11-01 16:29:00 +0100
committerFlorian Bruhin <git@the-compiler.org>2012-11-01 16:29:00 +0100
commit00f789acbe62ff50fc9a77a1168a1179dcb28cac (patch)
treec4da62cb73149cae0252c180bfadb0747597b94c
parentc266292d1c685e0c67d5480c2043bd9d36716519 (diff)
downloadproxyswitch_polipo-00f789acbe62ff50fc9a77a1168a1179dcb28cac.tar.gz
proxyswitch_polipo-00f789acbe62ff50fc9a77a1168a1179dcb28cac.zip
Add direct protocol
-rw-r--r--proxies.sample1
-rw-r--r--proxyswitch.sh5
2 files changed, 6 insertions, 0 deletions
diff --git a/proxies.sample b/proxies.sample
index a161125..b818b7f 100644
--- a/proxies.sample
+++ b/proxies.sample
@@ -1,2 +1,3 @@
proxy1 socks://user:password@hostname:port
http http://example.com
+direct direct://
diff --git a/proxyswitch.sh b/proxyswitch.sh
index 41e84e4..58a115c 100644
--- a/proxyswitch.sh
+++ b/proxyswitch.sh
@@ -85,6 +85,11 @@ elif [[ $protocol == socks* ]]; then
"$polipo_conf"
;;
esac
+elif [[ $protocol == direct ]]; then
+ true # Do nothing
+else
+ echo "Error: $protocol is an unknown protocol!"
+ exit 1
fi
if [[ $auth ]]; then